# ten soubor
#----------------------------------------------------------------------
#
# CSV
x<-read.csv("pedi.csv", header = TRUE)
x<-edit(x)

# XLS - list   data
library(RODBC)
c <- odbcConnectExcel("pedi.xls")
odbcQuery(c,"select * from data")
sqlTables(c)
x<-sqlFetch(c,"data")
odbcClose(c)
x<-edit(x)

# XLSX - list   data
library(RODBC)
c <- odbcConnectExcel2007("pedi.xlsx")
odbcQuery(c,"select * from data")
sqlTables(c)
x<-sqlFetch(c,"data")
odbcClose(c)
x<-edit(x)

# DBF
x<-read.dbf("pedi.dbf")
x<-edit(x)

# EpiInfo
library(foreign)
x<-read.epiinfo("pedi.rec")
x<-edit(x)