# Logistick regrese
x<-read.csv("DM_BMI.csv", header = TRUE)

#  pouze pro jeden vysvtlujc faktor 
# (vlastn tot jako kontingenn tabulka  2x2)

nejprve vytvome tabulku s BMI nad a pod 25
iBMI<-rep(0,500)
iBMI[x[, "BMI"] > 25]<-1
# vytvome tabulku
t<-table(iBMI,x[,"DM"])
# vypoteme v tabulce OR
oddsratio.wald(t)
# Tot udlme pomoc logistick regresa, ale abycho zskali OR, musme koeficienty
# odlogaritmovat OR je pak odlogaritmovan koeficient u iBMI
m<-glm(x[,"DM"] ~ iBMI, family=binomial())
exp(coef(m))





m<-glm(x[,"DM"] ~ x[,"BMI"], family=binomial())
summary(m)
coef(m)
confint(m)

# dva faktory  (VZDELANI nabv 4 hodnot)
m<-glm(x[,"DM"] ~ x[,"BMI"]+as.factor(x[,"VZDELANI"]), family=binomial())
summary(m)

# nebo spojme  zkladn a vyuen (0) a proti tomu S a V (1)
vzd<-c(0,0,1,1)
names(vzd)<-c("1","2","3","4")
x[,"VZDELANI"]<-vzd[x[,"VZDELANI"]]
m<-glm(x[,"DM"] ~ x[,"BMI"]+as.factor(x[,"VZDELANI"]), family=binomial())
summary(m)


# Sympsonv paradox 
#-------------------------------------------------------------------------------
# nejprve vytvome tabulku
tab<-c(4,6,3,5,5,3,9,6) 
dim(tab)<-c(2,2,2)
le<-c("A","B")
sex<-c("Mu","ena")
ex<-c("Ano","Ne")
dimnames(tab) <- list("Lba" = le, "spnost" = ex, "Pohlav" = sex)
tab

# tabulku meme zvtit pensobenm njakou celoselnou konstantou N
N<-1
tab<-N*tab


# Nyn z tabulky vytvome datovou matici, obsahujc dky hypotetickho 
# datovho souboru
t<-NA
for(i in 1:tab[1,1,1]) t<-rbind(t,c(0,0,0))
for(i in 1:tab[2,1,1]) t<-rbind(t,c(1,0,0))
for(i in 1:tab[1,2,1]) t<-rbind(t,c(0,1,0))
for(i in 1:tab[2,2,1]) t<-rbind(t,c(1,1,0))
for(i in 1:tab[1,1,2]) t<-rbind(t,c(0,0,1))
for(i in 1:tab[2,1,2]) t<-rbind(t,c(1,0,1))
for(i in 1:tab[1,2,2]) t<-rbind(t,c(0,1,1))
for(i in 1:tab[2,2,2]) t<-rbind(t,c(1,1,1))

colnames(t)<-c("USPESNOST","LECBA","POHLAVI") 
t<-t[!is.na(t[,"USPESNOST"]),]
tt<-table(t[,1],t[,2],t[,3])

# Pro kontrolu
tt
 m<-glm(t[,"USPESNOST"] ~ t[,"LECBA"]+t[,"POHLAVI"], family=binomial())
summary(m)
# opt je nutno vsledku odlogaritmovat
cat("OR lba x spnost: ",exp(m[[1]][2]),"\n")
exp(confint(m))

# Poissonovsk regrese
x<-read.csv("pedi.csv", header = TRUE)
library(Hmisc)
m<-glm(x[,"INFHCD4"] ~ x[,"VZDEL_M"]+x[,"SEX"],family=poisson())
summary(m)