# Kreslen graf
# kolov graf
op <- par()
p<-c(5.7,52.4,36.5,5.4)
names(p)<-c("svobodn (5,7%)","vdan (52,7%)","rozveden (36,2%)","vdova (5,4%)")
par(mar=c(0,0,0,6))
par(mfrow=c(1,2))
pie(p,col=c("grey5","grey40","grey60","grey90"))
par(mar=c(3,4,2,0))
names(p)<-c("svobodn","vdan","rozveden","vdova")
barplot(p,col=c("grey5","grey40","grey60","grey90"),ylab="%")
par(op)
scan()

# sloupcov graf
par(mfrow=c(1,1))
par(mar=c(2.5,4.1,1,1))
p<-c(100,12.6,87.4,35.5,51.8,39.6,12.3,12.3)
dim(p)<-c(2,4)
colnames(p)<-c("Zkladn","Vyuen","S","V")
rownames(p)<-c("kumulativn relativn etnost v %","relativn etnost v %")
barplot(p,beside=TRUE,horiz=TRUE,col=c("gray","white"))
# Nyn doplnn lehendu s udnm jejch souadnic
legend(list(x=55,y=12), legend = rownames(p),bty="n",fill=c("white","grey"),merge=TRUE)
# nebo s jednodu specifikas polohy, napklad 
#     legend("topright", legend = rownames(p),bty="n",fill=c("white","grey"),merge=TRUE)
par(op)
scan()

# histogram
x<-read.csv("pedi.csv", header = TRUE)
for(i in 1:length(x[,"HMOT_POR"])){
if(x[i,"HMOT_POR"]<11)x[i,"HMOT_POR"]<-NA
}
hist(x[,"HMOT_POR"],ylab="pravdpodobnost",xlab="porodn hmotnost (g)",main="",nclass=60,probability=TRUE)
# nyn dokresleme do histogramu hustotu odpovdajcho normlnho rozloen
lines(1000:6000,(1/(((2*pi)^.5)*sd(x[,"HMOT_POR"],na.rm = TRUE)))*
      exp(-.5*((1000:6000-mean(x[,"HMOT_POR"],na.rm = TRUE))/sd(x[,"HMOT_POR"],na.rm = TRUE))^2),col="blue",lwd=3)
par(op)
scan()
