# Popisn charakteristiky
#------------------------------------
# dlka vektoru
y<-c(1,2,3,4,5,NA)
length(na.omit(y))
length(y)
data<-read.csv("pedi.csv", header = TRUE)
length(data[,"HMOT_POR"])

# prmr
mean(data[,"HMOT_POR"])
# geometrick prmr
exp(mean(log(data[,"HMOT_3R"])))
# geometrick prmr pokud vektor obsahuje chybjc hodnoty NA
exp(mean(log(na.omit(data[,"HMOT_3R"]))))
# medim
median(data[,"HMOT_POR"])
# modus
names(table(data[,"DEL_POR"]))[which.max(table(data[,"DEL_POR"]))]
# useknut prmr
mean(data[,"HMOT_POR"],trim=0.05)
# kvantil
quantile(data[,"HMOT_POR"],c(.25,.75))
# rozptyl
var(data[,"HMOT_POR"])
# smrodatn odchylka
sd(data[,"HMOT_POR"])
# stedn chyba prmru
sd(data[,"HMOT_POR"])/sqrt(length(data[,"HMOT_POR"]))
# minimum
min(data[,"HMOT_POR"])
# maximum
max(data[,"HMOT_POR"])
# rozsah
max(data[,"HMOT_POR"])-min(data[,"HMOT_POR"])
# MAD odhad
mad(data[,"HMOT_POR"])
# ikmost 
library(moments)
skewness(data[,"HMOT_POR"])
# piatost
kurtosis(data[,"HMOT_POR"])
# souhrn statistiky
summary(data[,c("SEX","HMOT_POR")])
# souhrn statistiky  ve skupinch dlench napklad podle charaktristiky sex
library(Hmisc)
summary(data[,"HMOT_POR"]~data[,"SEX"])
library(fields)
# zkladn statistiky
stats(data[,c("SEX","HMOT_POR","DEL_POR","VVVORT1","VVVORT4")])