x<-read.csv("PKU.csv", header = TRUE)
library(BSDA)

# Jednovbrov testy

# z-test jednostrann 
z.test(x[,"HLAVA_POR"],mu=33.3,sigma.x=1.15,alternative = "less")

# t-test jedno a dvou strann
t.test(x[,"HLAVA_POR"],mu=33.3,alternative="less")
t.test(x[,"HLAVA_POR"],mu=33.3)

# znamnkov test 
SIGN.test(x[,"HLAVA_POR"],md=33.3,alternative = "less")
SIGN.test(x[,"HLAVA_POR"],md=33.3,alternative = "two.sided")

# Wilcoxonv test 
wilcox.test(x[,"HLAVA_POR"],mu=33.3,alternative="two.sided",conf.int =TRUE,na.rm=TRUE)

#intervalov odhady  - lze je vypost nejen v rmci test ale i pmo

#interval spolehlivosti na zklad normlnho rozloen
# Pozor! chybjc daje je nutno oetit funkc na.omit() nebo parametrm na.rm="T"!

#jednostrann (horn)
mean(x[,"HLAVA_POR"],na.rm="T")+qnorm(0.95)*sd(x[,"HLAVA_POR"],na.rm="T")/sqrt(length(na.omit(x[,"HLAVA_POR"])))

#dvoustrann
mean(x[,"HLAVA_POR"],na.rm="T")-qnorm(0.975)*sd(x[,"HLAVA_POR"],na.rm="T")/sqrt(length(na.omit(x[,"HLAVA_POR"])))
mean(x[,"HLAVA_POR"],na.rm="T")+qnorm(0.975)*sd(x[,"HLAVA_POR"],na.rm="T")/sqrt(length(na.omit(x[,"HLAVA_POR"])))

#interval spolehlivosti na zklad t-rozloen

#jednostrann (horn)
mean(x[,"HLAVA_POR"],na.rm="T")+qt(0.90,df=length(na.omit(x[,"HLAVA_POR"]))-1)*sd(x[,"HLAVA_POR"],na.rm="T")/sqrt(length(na.omit(x[,"HLAVA_POR"])))

#dvoustrann
mean(x[,"HLAVA_POR"],na.rm="T")-qt(0.95,df=length(na.omit(x[,"HLAVA_POR"]))-1)*sd(x[,"HLAVA_POR"],na.rm="T")/sqrt(length(na.omit(x[,"HLAVA_POR"])))
mean(x[,"HLAVA_POR"],na.rm="T")+qt(0.95,df=length(na.omit(x[,"HLAVA_POR"]))-1)*sd(x[,"HLAVA_POR"],na.rm="T")/sqrt(length(na.omit(x[,"HLAVA_POR"])))

# Vpoet kvantil Studentova t-rozloen
qt(c(0.90,0.95,0.975),99999)
qnorm(c(0.90,0.95,0.975))
                                         
#predipn interval
mean(x[,"HLAVA_POR"],na.rm="T")-qt(0.95,df=length(na.omit(x[,"HLAVA_POR"]))-1)*sd(x[,"HLAVA_POR"],na.rm="T")*(1+1/sqrt(length(na.omit(x[,"HLAVA_POR"]))))
mean(x[,"HLAVA_POR"],na.rm="T")+qt(0.95,df=length(na.omit(x[,"HLAVA_POR"]))-1)*sd(x[,"HLAVA_POR"],na.rm="T")*(1+1/sqrt(length(na.omit(x[,"HLAVA_POR"]))))

#tolerann interval
library(spc)
k<-tol.lim.fac(n=999999,p=.5,a=.05,mode="exact",m=100)
k 
cat(mean(x[,"HLAVA_POR"],na.rm="T")-k*sd(x[,"HLAVA_POR"],na.rm="T"),mean(x[,"HLAVA_POR"],na.rm="T")+k*sd(x[,"HLAVA_POR"],na.rm="T"),"\n") 
quantile(x[,"HLAVA_POR"],probs=c(.25,.75),na.rm="T")

